
/**
 * Clase utilizada para representar una agrupación de figuras geométricas.
 * 
 * @author Josep Silva 
 * @version 2 Octubre 2012
 */

public class GrupoFiguras
{
    static final int MAX_NUM_FIGURAS = 10;
    private Figura [] listaFiguras = new Figura [MAX_NUM_FIGURAS];
    private int numF=0;

    //Constructor
    public GrupoFiguras(){}

    public int numFiguras() 
    {
        return numF;
    }
    
    public void anyadeTriangulo(Triangulo t) 
    {
        listaFiguras[numF++]= t;
    }

    public void anyadeRectangulo(Rectangulo r) 
    {
        listaFiguras[numF++]= r;
    }

    public void anyadeCuadrado(Cuadrado cu) 
    {
        listaFiguras[numF++]= cu;
    }

    public int numRectangulos()
    {
        int num=0;
        
        for(int i=0; i<numF; i++)
        {
           if (listaFiguras[i] instanceof Rectangulo)
           {
                num++;
           }
        }   
        
        return num;
    }
    
}
